Create company
curl --request POST \
--url https://app.msportal.ai/api/public/v1/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"employeeCount": 1,
"industry": "<string>",
"website": "<string>"
}
'import requests
url = "https://app.msportal.ai/api/public/v1/companies"
payload = {
"name": "<string>",
"domain": "<string>",
"employeeCount": 1,
"industry": "<string>",
"website": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
employeeCount: 1,
industry: '<string>',
website: '<string>'
})
};
fetch('https://app.msportal.ai/api/public/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"employeeCount": 123,
"industry": "<string>",
"website": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Companies
Create company
Create a new company in your tenant.
POST
/
api
/
public
/
v1
/
companies
Create company
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Body
application/json
Company name (required)
Required string length:
1 - 255Company domain
Maximum string length:
255Initial status
Available options:
active, inactive, pending Number of employees
Required range:
x >= 0Industry sector
Maximum string length:
100Company website URL
Response
Company created
Show child attributes
Show child attributes
Was this page helpful?
⌘I